
(function($, AFNUtils, window, document) {
	
	AFNUtils.timeIntervalT = null;
	//定时器时间控制，两者须同步修改
	AFNUtils.millisecond = 1000;
	AFNUtils.timeSecond = 4;
	AFNUtils.allTimes = 3600; //运行总次数
	
	AFNUtils.updateToken = function() {
		plus.nativeUI.showWaiting();
		var token = localStorage.getItem('token');
		var inputT = localStorage.getItem('phoneNum');
		var passwordT = localStorage.getItem('userPass');
		var timestamp = Date.parse(new Date()) / 1000;
		mui.ajax(AFNUtils.getUrlType('updateToken'), {
			data: {
				'user_id': inputT,
				'pass_word': passwordT,
				"token": token,
				"timestamp": timestamp,
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				if (data.Head.Code == 200) {
					var dataInfo = data.Body.Data;
					
					localStorage.setItem('phoneNum', inputT);
					localStorage.setItem('token', dataInfo.token);
					localStorage.setItem('userPass', passwordT);
				} else {
					AFNUtils.jumpLoginPage('loginV.html');
				}
				plus.nativeUI.closeWaiting();
			},
			error: function(xhr, type, errorThrown) {
				AFNUtils.jumpLoginPage('loginV.html');
				plus.nativeUI.closeWaiting();
			}
		});
	}
	
	AFNUtils.typeBrand = function(sUserAgent) {
		var isIphone = sUserAgent.match(/iphone/i) == "iphone";
		var isHuawei = sUserAgent.match(/huawei/i) == "huawei";
		var isHonor = sUserAgent.match(/honor/i) == "honor";
		var isOppo = sUserAgent.match(/oppo/i) == "oppo";
		var isOppoR15 = sUserAgent.match(/pacm00/i) == "pacm00";
		var isVivo = sUserAgent.match(/vivo/i) == "vivo";
		var isXiaomi = sUserAgent.match(/mi\s/i) == "mi ";
		var isXiaomi2s = sUserAgent.match(/mix\s/i) == "mix ";
		var isRedmi = sUserAgent.match(/redmi/i) == "redmi";
		var isSamsung = sUserAgent.match(/sm-/i) == "sm-";
				
		if (isIphone) {
		    return 'iphone';
		} else if (isHuawei || isHonor) {
		    return 'huawei';
		} else if (isOppo || isOppoR15) {
		    return 'oppo';
		} else if (isVivo) {
		    return 'vivo';
		} else if (isXiaomi || isRedmi || isXiaomi2s) {
		    return 'xiaomi';
		} else if (isSamsung) {
		    return 'samsung';
		} else {
		    return 'default';
		}
	}
	AFNUtils.getUrlType = function(type) {
		// var httpStr = 'http://114.215.201.12:8018';
		// var httpStr = 'http://47.110.148.39:8018';
		// var httpStr = 'http://broadair.remotcon.mobi';
		var httpStr = 'https://broadair.remotcon.mobi:8101';
		var url = '';
		switch (type) {
			case 'updateToken': //刷新token
				url = '/api/Account/ReLogin';
				break;
			case 'emailVerifyNum': //邮箱验证码
				url = '/api/Account/SendEmailCode';
				break;
			case 'messageVerifyNum': //短信验证码
				url = '/api/Account/SendTelCode';
				break;
			case 'register': //注册
				url = '/api/Account/Register';
				break;
			case 'login': //登录
				url = '/api/Account/Login';
				break;
			case 'checkRegister': //检查是否注册
				url = '/api/Account/ChenkRegister';
				break;
			case 'updatePW': //修改密码
				url = '/api/Account/ChangePass';
				break;
			case 'getUserInfo': //返回用户基本信息
				url = '/api/Account/GetUserInfo';
				break;
			case 'updateUserInfo': //更新用户基本信息
				url = '/api/Account/SetUserInfo';
				break;
			case 'upUserAddress': //上传地址
				url = '/api/Account/Update_Address';
				break;

			case 'getProductList': //获取设备列表
				url = '/api/Equipment/GetEquipmentsList';
				break;
			case 'getTypeList': //获取机型列表
				url = '/api/Equipment/GetEqModelList';
				break;
			case 'updateProductType': //修改机型
				url = '/api/Equipment/UpdataEqModel';
				break;
			case 'reName': //重命名
				url = '/api/Equipment/SetEqName';
				break;
			case 'nomalAddP': //正常添加设备
				url = '/api/Equipment/AddEquipment';
				break;
			case 'nomalDelP': //正常解绑设备
				url = '/api/Equipment/DelEquipment';
				break;
			case 'getShareCode': //获取共享码
				url = '/api/Equipment/GetCode';
				break;
			case 'nomalShareP': //共享
				url = '/api/Equipment/AddShareEq';
				break;
			case 'getShareList': //主用户获取共享的设备数
				url = '/api/Equipment/GetShareEq';
				break;
			case 'nomalReShare': //主用户正常解除共享
				url = '/api/Equipment/ShareEqUnlink';
				break;

			case 'updateHJY': //更新环境仪状态
				url = '/api/Equipment/GetAqmInfo';
				break;
			case 'controlHJY': //实时控制环境仪
				url = '/api/Equipment/SetYJYRT';
				break;
			case 'getCityHJY': //获取城市PM2.5排名
				url = '/api/Equipment/GetMapList';
				break;

			case 'updateXFJ': //更新新风机状态
				url = '/api/Equipment/GetFreshAirStatus';
				break;
			case 'controlXFJ': //实时控制新风机
				url = '/api/Equipment/SetFreshAir';
				break;

			case 'controlFB': //实时控制肺保
				url = '/api/Equipment/SetFreshLung';
				break;
			case 'getDB_FB': //获取肺保数据库状态
				url = '/api/Equipment/GetFreshLung';
				break;

			case 'sales_getType': //售后维修获取机型
				url = '/api/Equipment/AddRepairRegister1';
				break;
			case 'sales_getEq': //售后维修获取客户信息，是否有id
				url = '/api/Equipment/GetCusEq';
				break;
			default:
				break;
		}
		return httpStr + url;
	}
	// 页面跳转
	AFNUtils.openPage = function(url, id, idStr, eq_guidStr, title, name) {
		var u = navigator.userAgent;
		var flag_android = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端

		var topS = '20px';
		var height = '';
		if (url == 'xfj/xfj_mainV.html' || url == 'scanQRcode.html' || url == 'serviceInfo.html' || url ==
			'../login/register.html' || url == 'passWorld.html' || url == 'userInfo.html' || url == 'serviceInfo.html' || url == 'product/hjy/hjy_pageV.html') {
			height = '0px';
			// 判断是是否是刘海屏iPhone
			if (AFNUtils_isLH() === true) {
				topS = '44px';
				if (flag_android) topS = '30px';
			}
		} else {
			height = '53px';
			// 判断是是否是刘海屏iPhone
			if (AFNUtils_isLH() === true) {
				height = '88px';
				topS = '44px';
				if (flag_android) topS = '30px';
			}
		}
		// 针对一键报修 和 一键购买
		if (idStr == 'fail_sales') {
			height = '0px';
		}

		var style = {
			top: topS,
			bottom: height,
			popGesture: "close", //右滑关闭手势
			background: "transparent"
		};
		mui.openWindow({
			url: url,
			id: id,
			extras: {
				idStr: idStr,
				eq_guidStr: eq_guidStr,
				titleStr: title,
				nameStr: name
			},
			createNew: false,
			styles: style,
			show: {
				event: "loaded", //页面加载完再跳转 该属性会影响原生通知传值
			},
			waiting: {
				autoShow: true,
				title: AFNUtils_langType('utils_request')
			}
		})
	}
	// 弱提示
	AFNUtils.toast = function(msg) {
		mui.toast(msg, {
			duration: 1000,
			type: 'div'
		});
	}
	// token失效跳转登录
	AFNUtils.jumpLoginPage = function(url) {
		var u = navigator.userAgent;
		var flag_android = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端

		// 清空token
		localStorage.setItem('token', '');
		
		// 是否已经存在登录页面
		var flag = false;
		var wvs = plus.webview.all();
		for (var i = 0; i < wvs.length; i++) {
			var arr = wvs[i].id.split("/");
			if (arr[arr.length - 1] === "loginV.html") {
				flag = true;
				wvs[i].show();
				return;
			}
		}
		if (flag === true) return;
		
		var topS = '20px';
		// 判断是是否是刘海屏iPhone
		if (AFNUtils_isLH() === true) {
			topS = '44px';
			if (flag_android) topS = '30px';
		}
		mui.openWindowWithTitle({
			url: url,
			id: url,
			styles: {
				top: topS,
				bottom: '0px',
				popGesture: "close",
				background: "transparent"
			},
			createNew: false, //是否创建重复id的页面
			show: {
				autoShow: true,
				aniShow: "slide-in-bottom"
			},
			waiting: {
				autoShow: false,
			},
			extras: {},
		})
	}

	// 判断是否刘海屏机型 高宽比大于2一律按刘海屏处理
	AFNUtils_isLH = function() {
		if (screen.height >= 812 || screen.height / screen.width > 2) {
			return true;
		} else {
			return false;
		}
	}
	// 是否是英文
	AFNUtils_isEn = function() {
		var lan = navigator.language || navigator.browserLanguage;
		var temp = lan.substring(0, 2);
		if (temp == 'en') {
			return true;
		} else {
			return false;
		}
	}
	// 档位中英文
	AFNUtils_level = function(value) {
		var lan = navigator.language || navigator.browserLanguage;
		var temp = lan.substring(0, 2);
		if (temp == 'en') {
			switch (value) {
				case 1:
					return lang_en["fb_content_one"];
					break;
				case 2:
					return lang_en["fb_content_two"];
					break;
				case 3:
					return lang_en["fb_content_three"];
					break;
				case 4:
					return lang_en["fb_content_four"];
					break;
				case 5:
					return lang_en["fb_content_five"];
					break;
				case 6:
					return lang_en["fb_content_six"];
					break;
				default:
					break;
			}
		} else {
			switch (value) {
				case 1:
					return lang_zh["fb_content_one"];
					break;
				case 2:
					return lang_zh["fb_content_two"];
					break;
				case 3:
					return lang_zh["fb_content_three"];
					break;
				case 4:
					return lang_zh["fb_content_four"];
					break;
				case 5:
					return lang_zh["fb_content_five"];
					break;
				case 6:
					return lang_zh["fb_content_six"];
					break;
				default:
					break;
			}
		}
	}
	// 动态中英文
	AFNUtils_langType = function(value) {
		var lan = navigator.language || navigator.browserLanguage;
		var temp = lan.substring(0, 2);
		if (temp == 'en') {
			return lang_en[value];
		} else {
			return lang_zh[value];
		}
	}
})(mui, window.AFNUtils = {}, window, document);

var lang_en = {
	//接口请求
	"err_title": "Request failed",
	"err_token1": "Account login on other devices",
	// 登录页面
	"login_desc_load": "Logging in...",
	"login_desc_userS": "Please enter your mobile number or email address",
	"login_desc_passS": "Please enter your password",
	// 注册页面文字
	"loginP_sendPhone": "Send to phone",
	"loginP_sendMail": "Send to email", //手机和邮箱翻译不能一样
	"loginP_register": "Register",
	"loginP_reback": "Recover",
	"loginP_forgetPass": "Forgot Password",
	"loginP_mailInfo": "Register with Email",
	"loginP_phoneInfo": "Register with mobile number",
	"loginP_mailRecover": "Recover with Email",
	"loginP_phoneRecover": "Recover with mobile number",
	"loginP_input_descP": "Please enter your mobile number",
	"loginP_input_descE": "Please enter your email address",
	"loginP_input_descC": "Please enter the verification code",
	"login_content_desc1": "+86",
	"login_input_descPass": "Please enter 6-20 letters or numeric password",
	// 注册页面规则提示语
	"login_rules_readInfo": "Please read the Terms of Service and confirm your consent",
	"login_rules_phoneErr": "Incorrect mobile number",
	"login_rules_emailErr": "Incorrect E-mail",
	"login_rules_verErr": "Incorrect verification code",
	"login_rules_reGetVer": "Invalid verification code, please request a new one",
	"login_rules_getVer": "Please request a verification code first",
	// 服务说明
	"service_title": "Disclaimer",

	//密码页面文字
	"passW_register": "Registering...",
	"passW_changePW": "Revise Password",
	// 密码页面提示语
	"passW_rules_pwErr": "Invalid password format, please re-enter",
	// 注册用户信息
	"register_user": "Please enter a user name",
	"register_male": "Male",
	"register_female": "Female",

	// 首页
	"index_HJY": "Air Monitor ",
	"index_XFJ": "Clean Fresh Air Machine ",
	"index_FB": "AirPro Fresh ",
	"index_device": "Device",
	"index_shop": "E-Mall",
	"index_mine": "Me",
	// 产品首页
	"index_phoneImg": "img/home_call_en.png",
	// 添加设备首页
	"index_menu_title": "Select Mode",
	// 新风机、肺保配网页面
	"index_rules_binding": "Network Configuration succeeded, now connecting...",
	"index_rules_noNet": "Can't connect to this network",
	"index_bind_fb": "Please enter the SSID password",

	// 设备列表页面文字
	"devlist_refresh_down1": "Pull down to refresh",
	"devlist_refresh_down2": "Release to refresh immediately",
	"devlist_refresh_down3": "Refreshing",
	"devlist_refresh_up1": "Loading",
	"devlist_refresh_up2": "No more data",
	"devlist_refresh_up3": "No more data",
	"devlist_status_offline": "Offline",
	"devlist_status_online": "Online",
	"devlist_deviceOff": "Device offline",
	// 设备列表功能页面
	"devlist_func_unsharing": "Unshare",
	"devlist_func_unbind": "Unbind",
	"devlist_reName_desc1": "The new name should be 1~11 characters in length",
	"devlist_reName_inputD": "Please enter a new name",
	"devlist_reMove_desc1": "Unshare this device",
	"devlist_reMove_desc2": "Unbind this device",
	// 设备分享列表
	"devlist_share_timeS": "Time: ",
	"devlist_share_userS": "Shared user: ",
	"devlist_share_productS": "Shared device: ",
	"devlist_share_descInfo": "Invited to share this device: ",
	// 设备列表页面规则提示
	"devlist_rules_desc1": "User name cannot be empty",
	"devlist_rules_desc2": "No shared users",

	// 二维码界面
	"scan_rules_desc": "Please allow camera access in Settings",
	"scan_rules_title": "Allow camera access",
	"scan_rules_descP": "Please allow album access in Settings",
	"scan_rules_titleP": "Allow album access",
	"scan_rules_btn": "To turn on",
	"scan_rules_unknown": "Unable to detect camera permissions",
	"scan_rules_default": "Camera permission not granted",
	"scan_err_img": "This image is not recognized",
	"scan_err_infoDesc": "Error:\n",

	// 环境仪页面
	"hjy_pollution_NP": "No Pollution",
	"hjy_pollution_MP": "Mild Pollution",
	"hjy_pollution_HP": "Heavy Pollution",
	"hjy_hypoxia_NH": "Normal O₂",
	"hjy_hypoxia_MH": "Mild Low O₂",
	"hjy_hypoxia_HH": "Low O₂",
	"hjy_hypoxia_HHH": "Xtrm Low O₂",
	"hjy_btn_check": "Detect",
	// 环境仪绑定页面
	"hjy_bindP_load": "Network Configurating...",
	"hjy_bindP_location": "Please check if the location service is enabled",
	"hjy_bindP_locateErr": "Location failed",
	"hjy_bind_input": "Please enter MAC address [discard \":\"]",
	"hjy_bind_img": "../../../img/fjy_adddev_about_en.png",

	// 肺保页面
	"fb_alert_CX": "The coarse filter has been cleaned",
	"fb_alert_GX": "The HEPA filter has been replaced",
	"fb_content_sleep": "Sleep",
	"fb_content_one": "Ⅰ",
	"fb_content_two": "Ⅱ",
	"fb_content_three": "Ⅲ",
	"fb_content_four": "Ⅳ",
	"fb_content_five": "V",
	"fb_content_six": "Ⅵ",
	"fb_message_status": "Shutdown status",

	//我的页面
	"mine_status_login": "Login",
	"mine_status_logOut": "Log Out",
	"mine_status_saveBtn": "Saved",

	// 售后维修
	"mine_sales_inputDesc": "Please briefly describe the problem",
	"mine_sales_photoRule": "Maximum 3 photos to be uploaded",
	"mine_sales_deviceM": "Please enter the device model",
	"mine_sales_faultD": "Please enter fault description",
	"mine_sales_contactP": "Please enter the contact number",
	"mine_sales_contactN": "Please enter the contact person",
	"mine_sales_contactProvince": "Please enter the province address",
	"mine_sales_contactCity": "Please enter the city address",
	"mine_sales_contactA": "Please enter the street address",
	"mine_sales_submitting": "Submitting...",
	"mine_sales_submitS": "Submitted",

	// utils
	"utils_request": "Loading",
	"index_img": "../img/home_logo_en.png",
	"index_bgImg": "img/home_logo_en.png",
	"other_selectT": "Please select",
	"other_sure": "OK",
	"other_cancel": "Cancel",
	"other_camera": "Camera",
	"other_gallery": "Gallery",
	"other_uploadPhoto": "Upload Photo",
}
var lang_zh = {
	//接口请求
	"err_title": "接口请求失败",
	"err_token1": "账号在其他设备登录",
	// 登录页面
	"login_desc_load": "正在登录...",
	"login_desc_userS": "请输入手机号或邮箱",
	"login_desc_passS": "请输入密码",
	// 注册页面文字
	"loginP_sendPhone": "发送到手机",
	"loginP_sendMail": "发送到邮箱",
	"loginP_register": "注册",
	"loginP_reback": "找回",
	"loginP_forgetPass": "忘记密码",
	"loginP_mailInfo": "邮箱注册",
	"loginP_phoneInfo": "手机号注册",
	"loginP_mailRecover": "邮箱找回",
	"loginP_phoneRecover": "手机号找回",
	"loginP_input_descP": "请输入手机号",
	"loginP_input_descE": "请输入邮箱",
	"loginP_input_descC": "请输入验证码",
	"login_content_desc1": "中国+86",
	"login_input_descPass": "请输入6-20位字母或数字密码",
	// 注册页面规则提示语
	"login_rules_readInfo": "请阅读并同意服务声明！",
	"login_rules_phoneErr": "手机号输入有误",
	"login_rules_emailErr": "邮箱输入有误",
	"login_rules_verErr": "验证码输入有误",
	"login_rules_reGetVer": "验证码已失效，请重新获取",
	"login_rules_getVer": "请先获取验证码",
	// 服务说明
	"service_title": "免责说明",

	//密码页面文字
	"passW_register": "正在注册...",
	"passW_changePW": "修改密码",
	// 密码页面提示语
	"passW_rules_pwErr": "密码格式输入有误，请重新输入！",
	// 注册用户信息
	"register_user": "请输入用户昵称",
	"register_male": "男",
	"register_female": "女",

	// 首页
	"index_HJY": "环境仪",
	"index_XFJ": "洁净新风机",
	"index_FB": "新风肺保",
	"index_device": "设备",
	"index_shop": "商城",
	"index_mine": "我的",
	// 产品首页
	"index_phoneImg": "img/home_call.png",
	// 添加设备首页
	"index_menu_title": "请选择机型",
	// 新风机、肺保配网页面
	"index_rules_binding": "配网成功，正在绑定...",
	"index_rules_noNet": "无法连接网络",
	"index_bind_fb": "请输入WIFI密码",

	// 设备列表页面文字
	"devlist_refresh_down1": "下拉可以刷新",
	"devlist_refresh_down2": "释放立即刷新",
	"devlist_refresh_down3": "正在刷新...",
	"devlist_refresh_up1": "正在加载...",
	"devlist_refresh_up2": "没有更多数据了",
	"devlist_refresh_up3": "暂无更多数据",
	"devlist_status_offline": "离线",
	"devlist_status_online": "在线",
	"devlist_deviceOff": "设备离线",
	// 设备列表功能页面
	"devlist_func_unsharing": "解除共享",
	"devlist_func_unbind": "解除绑定",
	"devlist_reName_desc1": "新名字范围1~11长度",
	"devlist_reName_inputD": "请输入新的名字",
	"devlist_reMove_desc1": "解除共享功能",
	"devlist_reMove_desc2": "解除此设备的绑定",
	// 设备分享列表
	"devlist_share_timeS": "时间：",
	"devlist_share_userS": "分享用户：",
	"devlist_share_productS": "分享设备：",
	"devlist_share_descInfo": "邀请你共享此设备",
	// 设备列表页面规则提示
	"devlist_rules_desc1": "名字不能为空",
	"devlist_rules_desc2": "没有共享用户",

	// 二维码界面
	"scan_rules_desc": "请在应用权限里设置允许使用相机权限",
	"scan_rules_title": "开启相机权限",
	"scan_rules_descP": "请在应用权限里设置允许访问相册权限",
	"scan_rules_titleP": "开启相册权限",
	"scan_rules_btn": "去开启",
	"scan_rules_unknown": "无法查询相机权限",
	"scan_rules_default": "不支持相机权限",
	"scan_err_img": "无法识别此图片",
	"scan_err_infoDesc": "出现错误啦:\n",

	// 环境仪页面
	"hjy_pollution_NP": "无污染",
	"hjy_pollution_MP": "中污染",
	"hjy_pollution_HP": "重污染",
	"hjy_hypoxia_NH": "不缺氧",
	"hjy_hypoxia_MH": "微缺氧",
	"hjy_hypoxia_HH": "缺氧",
	"hjy_hypoxia_HHH": "重缺氧",
	"hjy_btn_check": "马上<br>检测",
	// 环境仪绑定页面
	"hjy_bindP_load": "正在配网...",
	"hjy_bindP_location": "请检查是否打开定位权限",
	"hjy_bindP_locateErr": "定位失败",
	"hjy_bind_input": "请输入MAC地址[“:”不用输入]",
	"hjy_bind_img": "../../../img/fjy_adddev_about.png",

	// 肺保页面
	"fb_alert_CX": "粗效已清洗",
	"fb_alert_GX": "过滤器已更换",
	"fb_content_sleep": "睡眠",
	"fb_content_one": "1",
	"fb_content_two": "2",
	"fb_content_three": "3",
	"fb_content_four": "4",
	"fb_content_five": "5",
	"fb_content_six": "6",
	"fb_message_status": "关机状态",

	//我的页面
	"mine_status_login": "登录",
	"mine_status_logOut": "退出登录",
	"mine_status_saveBtn": "保存成功",
	// 售后维修
	"mine_sales_inputDesc": "简要描述故障",
	"mine_sales_photoRule": "最多上传三张",
	"mine_sales_deviceM": "请填写设备型号",
	"mine_sales_faultD": "请填写故障描述",
	"mine_sales_contactP": "请填写联系电话",
	"mine_sales_contactN": "请填写联系人",
	"mine_sales_contactProvince": "请填写省份",
	"mine_sales_contactCity": "请填写城市",
	"mine_sales_contactA": "请填写街道地址",
	"mine_sales_submitting": "正在提交...",
	"mine_sales_submitS": "提交成功",

	// utils
	"utils_request": "加载中...",
	"index_img": "../img/home_logo.png",
	"index_bgImg": "img/home_logo.png",
	"other_selectT": "请选择",
	"other_sure": "确认",
	"other_cancel": "取消",
	"other_camera": "相机",
	"other_gallery": "相册",
	"other_uploadPhoto": "上传图片",
}
